-------------------------------
--擦除 FireFox 1.5 -2.x 浏览器产生的痕迹
--
-------------------------------

tInitDef = {}

tInitDef[1] = {}
tInitDef[1]["gbT"]="擦除浏览器产生的痕迹"
tInitDef[1]["big5T"]="揽埃聅凝竟玻ネ勃格"
tInitDef[1]["enT"]="Browser"
tInitDef[1]["Key"]=110000
tInitDef[1]["iNoMenu"]=0
tInitDef[1]["fInstalled"]="LuaInstalled0"
tInitDef[1]["fEraseOpt"]="LuaCleaner0"
tInitDef[1]["tEraseTable"]="tEraseTable0"
tInitDef[1]["iRoot"]=1
tInitDef[1]["iSecond"]=0
tInitDef[1]["iThird"]=0

tInitDef[2] = {}
tInitDef[2]["gbT"]="擦除 FireFox 1.5 -2.x 浏览器产生的痕迹"
tInitDef[2]["big5T"]="揽埃 FireFox 1.5 -2.x 聅凝竟玻ネ勃格"
tInitDef[2]["enT"]="FireFox 1.5 -2.x"
tInitDef[2]["Key"]=110200
tInitDef[2]["iNoMenu"]=1
tInitDef[2]["fInstalled"]="LuaInstalled1"
tInitDef[2]["fEraseOpt"]="LuaCleaner1"
tInitDef[2]["tEraseTable"]="tEraseTable1"
tInitDef[2]["iRoot"]=1
tInitDef[2]["iSecond"]=2
tInitDef[2]["iThird"]=0

tInitDef[3] = {}
tInitDef[3]["gbT"]="擦除 FireFox 1.5 -2.x 浏览过的网页痕迹"
tInitDef[3]["big5T"]="揽埃 FireFox 1.5 -2.x 聅凝筁呼勃格"
tInitDef[3]["enT"]="FireFox 1.5 -2.x Web Pages"
tInitDef[3]["Key"]=110201
tInitDef[3]["iNoMenu"]=1
tInitDef[3]["fInstalled"]="LuaInstalled1"
tInitDef[3]["fEraseOpt"]="LuaCleaner2"
tInitDef[3]["tEraseTable"]="tEraseTable2"
tInitDef[3]["iRoot"]=1
tInitDef[3]["iSecond"]=2
tInitDef[3]["iThird"]=1

tInitDef[4] = {}
tInitDef[4]["gbT"]="擦除 FireFox 1.5 -2.x 浏览网页的COOKIES痕迹"
tInitDef[4]["big5T"]="揽埃 FireFox 1.5 -2.x 聅凝呼COOKIES勃格"
tInitDef[4]["enT"]="FireFox 1.5 -2.x COOKIES"
tInitDef[4]["Key"]=110202
tInitDef[4]["iNoMenu"]=1
tInitDef[4]["fInstalled"]="LuaInstalled1"
tInitDef[4]["fEraseOpt"]="LuaCleaner3"
tInitDef[4]["tEraseTable"]="tEraseTable3"
tInitDef[4]["iRoot"]=1
tInitDef[4]["iSecond"]=2
tInitDef[4]["iThird"]=2

tInitDef[5] = {}
tInitDef[5]["gbT"]="擦除 FireFox 1.5 -2.x 浏览网页时产生的临时文件痕迹"
tInitDef[5]["big5T"]="揽埃 FireFox 1.5 -2.x 聅凝呼玻ネ羬ゅン勃格"
tInitDef[5]["enT"]="FireFox 1.5 -2.x Temporary Files"
tInitDef[5]["Key"]=110203
tInitDef[5]["iNoMenu"]=1
tInitDef[5]["fInstalled"]="LuaInstalled1"
tInitDef[5]["fEraseOpt"]="LuaCleaner4"
tInitDef[5]["tEraseTable"]="tEraseTable4"
tInitDef[5]["iRoot"]=1
tInitDef[5]["iSecond"]=2
tInitDef[5]["iThird"]=3

tInitDef[6] = {}
tInitDef[6]["gbT"]="擦除 FireFox 1.5 -2.x 下载文件痕迹"
tInitDef[6]["big5T"]="揽埃 FireFox 1.5 -2.x 更ゅン勃格"
tInitDef[6]["enT"]="FireFox 1.5 -2.x Download"
tInitDef[6]["Key"]=110204
tInitDef[6]["iNoMenu"]=1
tInitDef[6]["fInstalled"]="LuaInstalled1"
tInitDef[6]["fEraseOpt"]="LuaCleaner5"
tInitDef[6]["tEraseTable"]="tEraseTable5"
tInitDef[6]["iRoot"]=1
tInitDef[6]["iSecond"]=2
tInitDef[6]["iThird"]=4

tInitDef[7] = {}
tInitDef[7]["gbT"]="擦除 FireFox 1.5 -2.x 浏览网页时自动完成密码痕迹"
tInitDef[7]["big5T"]="揽埃 FireFox 1.5 -2.x 聅凝呼笆ЧΘ盞絏勃格"
tInitDef[7]["enT"]="FireFox 1.5 -2.x Auto-complete password"
tInitDef[7]["Key"]=110205
tInitDef[7]["iNoMenu"]=1
tInitDef[7]["fInstalled"]="LuaInstalled6"
tInitDef[7]["fEraseOpt"]="LuaCleaner6"
tInitDef[7]["tEraseTable"]="tEraseTable6"
tInitDef[7]["iRoot"]=1
tInitDef[7]["iSecond"]=2
tInitDef[7]["iThird"]=5

tInitDef[8] = {}
tInitDef[8]["gbT"]="擦除 FireFox 3.0 使用痕迹"
tInitDef[8]["big5T"]="揽埃 FireFox 3.0 更ゅン勃格"
tInitDef[8]["enT"]="FireFox 3.0"
tInitDef[8]["Key"]=110206
tInitDef[8]["iNoMenu"]=1
tInitDef[8]["fInstalled"]="LuaInstalled6"
tInitDef[8]["fEraseOpt"]="LuaCleaner7"
tInitDef[8]["tEraseTable"]="tEraseTable7"
tInitDef[8]["iRoot"]=1
tInitDef[8]["iSecond"]=3
tInitDef[8]["iThird"]=0

tInitDef[9] = {}
tInitDef[9]["gbT"]="擦除Opera7、9.2产生的痕迹"
tInitDef[9]["big5T"]="揽埃Opera79.2玻ネ勃格"
tInitDef[9]["enT"]="Opera79.2"
tInitDef[9]["Key"]=110207
tInitDef[9]["iNoMenu"]=1
tInitDef[9]["fInstalled"]="LuaInstalledOpera"
tInitDef[9]["fEraseOpt"]="LuaCleanerOpera"
tInitDef[9]["tEraseTable"]="tEraseTable"
tInitDef[9]["iRoot"]=1
tInitDef[9]["iSecond"]=4
tInitDef[9]["iThird"]=0

tInitDef[10] = {}
tInitDef[10]["gbT"]="擦除3721产生的痕迹"
tInitDef[10]["big5T"]="揽埃3721玻ネ勃格"
tInitDef[10]["enT"]="3721"
tInitDef[10]["Key"]=110208
tInitDef[10]["iNoMenu"]=1
tInitDef[10]["fInstalled"]="LuaInstalled10"
tInitDef[10]["fEraseOpt"]="LuaCleaner10"
tInitDef[10]["tEraseTable"]="tEraseTable"
tInitDef[10]["iRoot"]=1
tInitDef[10]["iSecond"]=5
tInitDef[10]["iThird"]=0

HKEY_CLASSES_ROOT = 0x80000000
HKEY_CURRENT_USER = 0x80000001
HKEY_LOCAL_MACHINE = 0x80000002
HKEY_USERS = 0x80000003

  require "wyzl"

function LuaInstalled0()
	local bInstalled = 1
	return bInstalled
end;

function LuaInstalled1()

	local bInstalled = 0
	bRet = os.RegKeyExists(HKEY_LOCAL_MACHINE,"Software\\Mozilla\\Mozilla Firefox")
	if( bRet == true) then
			bInstalled = 1
	end
	return bInstalled
end;

function LuaInstalled6()

	local bInstalled = 0
	bRet = os.RegKeyExists(HKEY_LOCAL_MACHINE,"Software\\Mozilla\\Mozilla Firefox")
	if( bRet == true) then
			bInstalled = 1
	end
	strAppData = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Shell Folders", "AppData")
	if(strAppData ~= nil) then
		if(WYZL.GetDirFileExists(strAppData .. "\\Mozilla\\Firefox\\profiles.ini") == true) then
				bInstalled = 1
		end
	end
	strAppData = os.RegQueryValueEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\FoxPlus", "DisplayIcon")
	if(strAppData ~= nil) then
		if(WYZL.GetDirFileExists(strAppData) == true) then
				bInstalled = 1
		end
	end
	return bInstalled
end;

function LuaCleaner0()
	tEraseTable0 = {};
end;

function LuaCleaner1()
	tEraseTable1 = {};
end;

function LuaCleaner2()

	tEraseTable2 = {};
	tEraseTable2[1] = {}
	tEraseTable2[1]["path"]  = ""
	tEraseTable2[1]["gbT"]   = ""
	tEraseTable2[1]["big5T"] = ""
	tEraseTable2[1]["enT"]   = ""
	tEraseTable2[1]["nOpt"]  = 110201   --FIREFOXHISTORY_DEF
	tEraseTable2[1]["DoErase"] = "LuaDoErase2"
	
end;

function LuaDoErase2()

	strTitle ="擦除Firefox 1.5 - 2.x  浏览过的网页历史"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃Firefox 1.5 - 2.x  聅凝筁呼菌"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="Firefox 1.5 - 2.x History"
  end
	
	--require "vcl"
		
	strData = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Shell Folders", "AppData")
	if(strData ~= nil) then
		lsPath = strData .. "\\Mozilla\\Firefox";
		FileName = lsPath .. "\\profiles.ini" ;
		
		--VCL.ShowMessage(FileName)
		
		strData = WYZL.GetIniStr("Profile0","Path", "default",FileName)
		strData = WYZL.StrReplace(strData,"/","\\");
		
		lsPath = lsPath .. "\\" .. strData;
		FileName = lsPath .. "\\history.dat"
		WYZL.DoErase(FileName,strTitle,0,-1,0);
		
		FileName = lsPath .. "\\formhistory.dat"
		WYZL.DoErase(FileName,strTitle,0,-1,0);
	end	
	
	strData = os.RegQueryValueEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\FoxPlus", "DisplayIcon")
	if(strData ~= nil) then
			nPos = WYZL.StrReverseFind(strData,"\\")
			strData = WYZL.StrLeft(strData,nPos);
			FileName = strData ;
			FileName = FileName .. "\\Data\\profile\\history.dat";
			WYZL.DoErase(FileName,strTitle,0,-1,0);
			
			FileName = strData ;
			FileName = FileName .. "\\Data\\profile\\formhistory.dat";
			WYZL.DoErase(FileName,strTitle,0,-1,0);
		
	end	
end;

function LuaCleaner3()
	tEraseTable3 = {};
	tEraseTable3[1] = {}
	tEraseTable3[1]["path"]  = ""
	tEraseTable3[1]["gbT"]   = "擦除Firefox 1.5 - 2.x 浏览网页的COOKIES痕迹"
	tEraseTable3[1]["big5T"] = ""
	tEraseTable3[1]["enT"]   = ""
	tEraseTable3[1]["nOpt"]  = 110202   --FIREFOXCOOKIES_DEF
	tEraseTable3[1]["DoErase"] = "LuaDoErase3"
end;

function LuaDoErase3()

	strTitle ="擦除Firefox 1.5 - 2.x 浏览网页的COOKIES痕迹"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃Firefox 1.5 - 2.x 聅凝呼COOKIES勃格"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="Firefox 1.5 - 2.x COOKIES"
  end
	
	--require "vcl"

	strData = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Shell Folders", "AppData")
	if(strData ~= nil) then
		lsPath = strData .. "\\Mozilla\\Firefox";
		FileName = lsPath .. "\\profiles.ini" ;
		
		--VCL.ShowMessage(FileName)
		
		strData = WYZL.GetIniStr("Profile0","Path", "default",FileName)
		strData = WYZL.StrReplace(strData,"/","\\");
		lsPath = lsPath .. "\\" .. strData;
		FileName = lsPath .. "\\cookies.txt"
		WYZL.DoErase(FileName,strTitle,0,-1,0);
	end	
	
	strData = os.RegQueryValueEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\FoxPlus", "DisplayIcon")
	if(strData ~= nil) then
			nPos = WYZL.StrReverseFind(strData,"\\")
			strData = WYZL.StrLeft(strData,nPos);
			FileName = strData ;
			FileName = FileName .. "\\Data\\profile\\cookies.txt";
			WYZL.DoErase(FileName,strTitle,0,-1,0);
	end	
end;

function LuaCleaner4()
	tEraseTable4 = {};
	tEraseTable4[1] = {}
	tEraseTable4[1]["path"]  = ""
	tEraseTable4[1]["gbT"]   = "擦除Firefox 1.5 - 2.x 浏览网页时产生的临时文件痕迹"
	tEraseTable4[1]["big5T"] = ""
	tEraseTable4[1]["enT"]   = ""
	tEraseTable4[1]["nOpt"]  = 110203   --FIREFOXCACHE_DEF
	tEraseTable4[1]["DoErase"] = "LuaDoErase4"
end;

function LuaDoErase4()

	strTitle ="擦除Firefox 1.5 - 2.x 浏览网页时产生的临时文件痕迹"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃Firefox 1.5 - 2.x 聅凝呼玻ネ羬ゅン勃格"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="Firefox 1.5 - 2.x Temporary Files"
  end
	
	--require "vcl"

	strData = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Shell Folders", "Local AppData")
	if(strData ~= nil) then
		lsPath2 = strData .. "\\Mozilla\\Firefox";
		
		strData = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Shell Folders", "AppData")
		if(strData ~= nil) then
			lsPath = strData .. "\\Mozilla\\Firefox";
			FileName = lsPath .. "\\profiles.ini" ;
			
			szPath = WYZL.GetIniStr("Profile0","Path", "default",FileName)
			strData = WYZL.StrReplace(szPath,"/","\\");
			
			lsPath2 = lsPath2 .. "\\" .. strData;
			FileName = lsPath2 .. "\\Cache";
			
			WYZL.DoErase(FileName,strTitle,3,-1,0);
			
			FileName = lsPath2 .. "\\Cache.Trash";
			WYZL.DoErase(FileName,strTitle,0,-1,0);
			
			lsPath = lsPath .. "\\" .. strData;
			FileName = lsPath .. "\\Cache";
			WYZL.DoErase(FileName,strTitle,3,-1,0);
			
			FileName = lsPath .. "\\Cache.Trash";
			WYZL.DoErase(FileName,strTitle,0,-1,0);
		end	
	
		--VCL.ShowMessage(FileName)
	end	
	
	strData = os.RegQueryValueEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\FoxPlus", "DisplayIcon")
	if(strData ~= nil) then
			nPos = WYZL.StrReverseFind(strData,"\\")
			strData = WYZL.StrLeft(strData,nPos);
			FileName = strData ;
			FileName = FileName .. "\\Data\\profile\\Cache";
			WYZL.DoErase(FileName,strTitle,3,-1,0);
	end	
	
end;

function LuaCleaner5()
	tEraseTable5 = {};
	tEraseTable5[1] = {}
	tEraseTable5[1]["path"]  = ""
	tEraseTable5[1]["gbT"]   = "擦除Firefox 2.* 下载文件痕迹"
	tEraseTable5[1]["big5T"] = ""
	tEraseTable5[1]["enT"]   = ""
	tEraseTable5[1]["nOpt"]  = 110204   --FIREFOXDOWNINFO_DEF
	tEraseTable5[1]["DoErase"] = "LuaDoErase5"
end;

function LuaDoErase5()

	strTitle ="擦除Firefox 2.* 下载文件痕迹"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃Firefox 2.* 更ゅン勃格"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="Firefox 2.* Download"
  end
	
	--require "vcl"

	strData = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Shell Folders", "AppData")
	if(strData ~= nil) then
		lsPath = strData .. "\\Mozilla\\Firefox";
		FileName = lsPath .. "\\profiles.ini" ;
		
		--VCL.ShowMessage(FileName)
		
		strData = WYZL.GetIniStr("Profile0","Path", "default",FileName)
		strData = WYZL.StrReplace(strData,"/","\\");
		lsPath = lsPath .. "\\" .. strData;
		FileName = lsPath .. "\\downloads.rdf"
		WYZL.DoErase(FileName,strTitle,0,-1,0);
	end	
	
	strData = os.RegQueryValueEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\FoxPlus", "DisplayIcon")
	if(strData ~= nil) then
			nPos = WYZL.StrReverseFind(strData,"\\")
			strData = WYZL.StrLeft(strData,nPos);
			
			FileName = strData ;
			FileName = FileName .. "\\Data\\profile\\downloads.rdf";
			WYZL.DoErase(FileName,strTitle,0,-1,0);
			
			FileName = strData ;
			FileName = FileName .. "\\Data\\profile\\session.rdf";
			WYZL.DoErase(FileName,strTitle,0,-1,0);
			
	end	
end;

function LuaCleaner6()
	tEraseTable6 = {};
	tEraseTable6[1] = {}
	tEraseTable6[1]["path"]  = ""
	tEraseTable6[1]["gbT"]   = "擦除Firefox 1.5 - 2.x 浏览网页时自动完成密码痕迹"
	tEraseTable6[1]["big5T"] = ""
	tEraseTable6[1]["enT"]   = ""
	tEraseTable6[1]["nOpt"]  = 110205   --FIREFOXAUTOPASSF_DEF
	tEraseTable6[1]["DoErase"] = "LuaDoErase6"
end;

function LuaDoErase6()

	strTitle ="擦除Firefox 1.5 - 2.x 浏览网页时自动完成密码痕迹"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃Firefox 1.5 - 2.x 聅凝呼笆ЧΘ盞絏勃格"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="Firefox 1.5 - 2.x Auto-complete password"
  end
	
  --require "vcl"

	strData = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Shell Folders", "AppData")
	if(strData ~= nil) then
		lsPath = strData .. "\\Mozilla\\Firefox";
		FileName = lsPath .. "\\profiles.ini" ;
		
		--VCL.ShowMessage(FileName)
		
		strData = WYZL.GetIniStr("Profile0","Path", "default",FileName)
		strData = WYZL.StrReplace(strData,"/","\\");
		lsPath = lsPath .. "\\" .. strData;
		FileName = lsPath .. "\\signons.txt"
		WYZL.DoErase(FileName,strTitle,0,-1,0);
	end	
	
	strData = os.RegQueryValueEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\FoxPlus", "DisplayIcon")
	if(strData ~= nil) then
			nPos = WYZL.StrReverseFind(strData,"\\")
			strData = WYZL.StrLeft(strData,nPos);
			
			FileName = strData ;
			FileName = FileName .. "\\Data\\profile\\signons2.txt";
			WYZL.DoErase(FileName,strTitle,0,-1,0);
			
			VCL.ShowMessage(FileName)
			
			FileName = strData ;
			FileName = FileName .. "\\Data\\profile\\signons.txt";
			WYZL.DoErase(FileName,strTitle,0,-1,0);
			
	end	
end;

function LuaCleaner7()

	strTitle ="擦除 FireFox 3.0 使用痕迹"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃 FireFox 3.0 更ゅン勃格"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="FireFox 3.0"
  end
	
	--require "vcl"

	WYZL.PlugReset();
	
	--VCL.ShowMessage(strTitle);
	
	WYZL.AddActionItem("DelFile","%CSIDL_APPDATA%\\Mozilla\\Firefox\\Profiles\\*.*","MacthSubFiles",",*.sqlite*|*.cache");--FILESFOLDERS
	WYZL.AddActionItem("DelFile","%LocalAppData%\\Mozilla\\Firefox\\Profiles\\*.*","MacthSubFolder",",Cache");--FILESFOLDERS
	
	nReturn = 0;
	if(WYZL.IsLoaded() == 1) then
		nReturn = WYZL.DoPlugErase(strTitle,-1,0);
		
		--VCL.ShowMessage("結束");
	end
		
end;

function LuaInstalledOpera()

	local bInstalled = 0
	strAppData = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Shell Folders", "AppData")
	if(strAppData ~= nil) then
		if(WYZL.GetDirFileExists(strAppData .. "\\Opera") == true) then
				bInstalled = 1
		end
	end
	return bInstalled
end;

function LuaCleanerOpera()
	tEraseTable = {};
	tEraseTable[1] = {}
	tEraseTable[1]["path"]  = ""
	tEraseTable[1]["gbT"]   = ""
	tEraseTable[1]["big5T"] = ""
	tEraseTable[1]["enT"]   = ""
	tEraseTable[1]["nOpt"]  = 110206   --OPERA_DEF
	tEraseTable[1]["DoErase"] = "LuaDoEraseOpera"
end;

function LuaDoEraseOpera()

	strTitle ="擦除Opera7、9.2产生的痕迹"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃Opera79.2玻ネ勃格"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="Opera7、9.2"
  end
	
	--require "vcl"

	strData = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Shell Folders", "AppData")
	if(strData ~= nil) then
		
		--Opera9.2产生的痕迹
		lsPath = strData .. "\\Opera\\Opera\\profile";
		
		FileName = lsPath .. "\\cookies4.dat";
		WYZL.DoErase(FileName,strTitle,0,-1,0);
		
		FileName = lsPath .. "\\download.dat";
		WYZL.DoErase(FileName,strTitle,0,-1,0);
				
		FileName = lsPath .. "\\global.dat";
		WYZL.DoErase(FileName,strTitle,0,-1,0);

		FileName = lsPath .. "\\notes.adr";
		WYZL.DoErase(FileName,strTitle,0,-1,0);

		FileName = lsPath .. "\\vlink4.dat";
		WYZL.DoErase(FileName,strTitle,0,-1,0);

		FileName = lsPath .. "\\wand.dat";
		WYZL.DoErase(FileName,strTitle,0,-1,0);

		FileName = lsPath .. "\\opera.dir";
		WYZL.DoErase(FileName,strTitle,0,-1,0);

		FileName = lsPath .. "\\notes.adr";
		WYZL.DoErase(FileName,strTitle,0,-1,0);
		
		FileName = lsPath .. "\\bt_metadata";
		WYZL.DoErase(FileName,strTitle,3,-1,0);
		
		FileName = lsPath .. "\\cache4";
		WYZL.DoErase(FileName,strTitle,3,-1,0);
		
		--Opera7产生的痕迹
		lsPath = strData .. "\\Opera\\Opera7\\profile";
		FileName = lsPath .. "\\global.dat";
		WYZL.DoErase(FileName,strTitle,0,-1,0);
		
		FileName = lsPath .. "\\cookies4.dat";
		WYZL.DoErase(FileName,strTitle,0,-1,0);
		
		FileName = lsPath .. "\\opera.dir";
		WYZL.DoErase(FileName,strTitle,0,-1,0);
		
		FileName = lsPath .. "\\cache4";
		WYZL.DoErase(FileName,strTitle,3,-1,0);
		
		--VCL.ShowMessage(FileName)
	end	
	
	os.RegDeleteValue(HKEY_CURRENT_USER,"Software\\Opera Software","Last CommandLine v2");
end;

function LuaInstalled10()

	local bInstalled = 0
	bInstalled = 1

	return bInstalled
end;

function LuaCleaner10()
	tEraseTable = {};
	tEraseTable[1] = {}
	tEraseTable[1]["path"]  = ""
	tEraseTable[1]["gbT"]   = "擦除3721产生的痕迹"
	tEraseTable[1]["big5T"] = ""
	tEraseTable[1]["enT"]   = ""
	tEraseTable[1]["nOpt"]  = 110206   --OPERA_DEF
	tEraseTable[1]["DoErase"] = "LuaDoErase10"
end;

function LuaDoErase10()

	strTitle ="擦除3721产生的痕迹"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃3721玻ネ勃格"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="3721"
  end
	
  --require "vcl"
  --VCL.ShowMessage("清理3721")
  
	strData = os.RegQueryValueEx(HKEY_CURRENT_USER,"Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Shell Folders", "Start Menu")
	if(strData ~= nil) then
		strWinDir = strData .. "\\程序\\上网助手";
		WYZL.RegMoveDir(strWinDir);
		
		--VCL.ShowMessage(strWinDir)
	end

	strData = os.RegQueryValueEx(HKEY_LOCAL_MACHINE,"Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Shell Folders", "Common Start Menu")
	if(strData ~= nil) then
		strWinDir = strData .. "\\程序\\网络实名";
		WYZL.RegMoveDir(strWinDir);
		
		--VCL.ShowMessage(strWinDir)
	end

	strData = os.RegQueryValueEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\3721", "alpath")
	if(strData ~= nil) then
		strWinDir = WYZL.GetFileDir(strData);
		WYZL.RegMoveDir(strWinDir);

		--VCL.ShowMessage(strWinDir)
	end
		
	os.RegDeleteKey(HKEY_CLASSES_ROOT,"SCLSID\\{1B0E7716-898E-48CC-9690-4E338E8DE1D3}");
	os.RegDeleteKey(HKEY_CLASSES_ROOT,"SCLSID\\{6d8f256b-6ab8-4398-8f86-1e56207db77a}");
	os.RegDeleteKey(HKEY_CLASSES_ROOT,"SCLSID\\{6231d512-e4a4-4df2-be62-5b8f0ee348ef}");
	os.RegDeleteKey(HKEY_CLASSES_ROOT,"SCLSID\\{d157330a-9ef3-49f8-9a67-4141ac41add4}");
	os.RegDeleteKey(HKEY_CLASSES_ROOT,"SCLSID\\{e5e4e352-6947-44ee-a420-db84efd3fe93}");
	os.RegDeleteKey(HKEY_CLASSES_ROOT,"SCLSID\\{7ca83cf1-3aea-42d0-a4e3-1594fc6e48b2}");
	os.RegDeleteKey(HKEY_CLASSES_ROOT,"Software\\Microsoft\\Internet Explorer\\MenuExt\\&使用下载加速专家下载");
	os.RegDeleteKey(HKEY_CLASSES_ROOT,"Software\\Microsoft\\Internet Explorer\\URLSearchHooks\\{BB936323-19FA-4521-BA29-ECA6A121BC78}");
	os.RegDeleteKey(HKEY_CLASSES_ROOT,"Software\\Microsoft\\Windows\\CurrentVersion\\Ext\\Stats\\{0005A87D-D626-4B3A-84F9-1D9571695F55}");

  os.RegDeleteKey(HKEY_CURRENT_USER,"SOFTWARE\\3721");
  
  os.RegDeleteValue(HKEY_CURRENT_USER,"SOFTWARE\\Microsoft\\Internet Explorer\\Main","CNSAutoUpdate");
	os.RegDeleteValue(HKEY_CURRENT_USER,"SOFTWARE\\Microsoft\\Internet Explorer\\Main","CNSEnable");
	os.RegDeleteValue(HKEY_CURRENT_USER,"SOFTWARE\\Microsoft\\Internet Explorer\\Main","CNSHint");
	os.RegDeleteValue(HKEY_CURRENT_USER,"SOFTWARE\\Microsoft\\Internet Explorer\\Main","CNSList");
	os.RegDeleteValue(HKEY_CURRENT_USER,"SOFTWARE\\Microsoft\\Internet Explorer\\Main","CNSMenu");
	os.RegDeleteValue(HKEY_CURRENT_USER,"SOFTWARE\\Microsoft\\Internet Explorer\\Main","CNSReset");

	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\3721");
	
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Sandai Technologies Inc.");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\Assist.EasyAssist");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\Assist.EasyAssist.1");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\autolive.live");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\autolive.live.1");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CnsHelper.CH");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CnsHelper.CH.1");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\cnsminhk.cnshook");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\cnsminhk.cnshook.1");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CoolBar.CoolBarObj");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CoolBar.CoolBarObj.1");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\fflash.flashobjectinterface");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\fflash.flashobjectinterface.1");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\{0005A87D-D626-4B3A-84F9-1D9571695F55}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\{141A5E19-BDCB-4E27-A3D7-9E16503BC05B}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\{1B0E7716-898E-48CC-9690-4E338E8DE1D3}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\{6231d512-e4a4-4df2-be62-5b8f0ee348ef}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\{7C7C028B-263F-471B-8254-A2F4C739AB71}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\{7CA83CF1-3AEA-42D0-A4E3-1594FC6E48B2}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\{9EB2B422-C9EE-46C4-A471-1E79C7517B1D}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\{ABEC6103-F6AC-43A3-834F-FB03FBA339A2}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\{BB936323-19FA-4521-BA29-ECA6A121BC78}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\{b835c273-3522-4cc6-92ec-75cc86678da4}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\{B83FC273-3522-4CC6-92EC-75CC86678DA4}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\{c202b524-bc8a-4610-bd2c-6bd3e28155d0}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\{d157330a-9ef3-49f8-9a67-4141ac41add4}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\{e5e4e352-6947-44ee-a420-db84efd3fe93}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\CnsHelper.CH");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\CnsHelper.CH.1");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\cnsminhk.cnshook");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\cnsminhk.cnshook.1");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\CoolBar.CoolBarObj");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\CoolBar.CoolBarObj.1");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\fflash.flashobjectinterface");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\fflash.flashobjectinterface.1");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\Xunleibho.CatchRightClick");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\Xunleibho.CatchRightClick.1");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\Xunleibho.CatchRightClick");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\CLSID\\Xunleibho.CatchRightClick.1");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\Interface\\{1bb0abbe-2d95-4847-b9d8-6f90de3714c1}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\Interface\\{48E688C8-609F-4B08-944E-3C7FAB99CD08}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\Interface\\{924F5B3A-7A27-484A-B873-E855C9708667}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\Interface\\{BE08F6BC-C3E6-4149-BEB1-CB449E1B372E}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\Interface\\{c320f7f8-8862-496a-b8a4-25d4140b7dbc}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\Interface\\{DF692509-D9EF-48A0-9CD0-3AA5B81F6F68}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\TypeLib\\{19069804-2CF0-4357-B696-BA6E9AAD99EF}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\TypeLib\\{4158DB95-DE71-41FF-BEA1-2C3D1C679DF1}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\TypeLib\\{7354662f-caa3-448b-bc01-04f55a2dca35}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\TypeLib\\{a5adeae7-a8b4-4f94-9128-bf8d8db5e927}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\TypeLib\\{AAB6BCE3-1DF6-4930-9B14-9CA79DC8C267}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Classes\\TypeLib\\{f9ad9d67-efa8-480e-8291-0163f3960de7}");

	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Browser Helper Objects\\{0005A87D-D626-4B3A-84F9-1D9571695F55}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Browser Helper Objects\\{BB936323-19FA-4521-BA29-ECA6A121BC78}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Browser Helper Objects\\{6231d512-e4a4-4df2-be62-5b8f0ee348ef}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Browser Helper Objects\\{1B0E7716-898E-48CC-9690-4E338E8DE1D3}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Browser Helper Objects\\{c202b524-bc8a-4610-bd2c-6bd3e28155d0}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Browser Helper Objects\\{d157330a-9ef3-49f8-9a67-4141ac41add4}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Browser Helper Objects\\{e5e4e352-6947-44ee-a420-db84efd3fe93}");

	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Explorer\\shellexecutehooks\\{d157330a-9ef3-49f8-9a67-4141ac41add4}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Internet Explorer\\extensions\\{00000000-0000-0001-0001-596baedd1289}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Internet Explorer\\extensions\\{0f7de07d-bd74-4991-9d5f-ecbb8391875d}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Internet Explorer\\search\\osearchassistant");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Internet Explorer\\AdvancedOptions\\!CNS");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Internet Explorer\\Toolbar\\{BB936323-19FA-4521-BA29-ECA6A121BC78}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Code Store Database\\Distribution Units\\{D109E2A0-C9C3-11D6-9A69-0050BAECFFD7}");
  
  --VCL.ShowMessage(FileName)
	
	os.RegDeleteValue(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Internet Explorer\\search","CustomizeSearch");
	os.RegDeleteValue(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Internet Explorer\\search","SearchAssistant");

	os.RegDeleteValue(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Run","assistse");
	os.RegDeleteValue(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Run","CnsMin");
	os.RegDeleteValue(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Run","dl_accel");	
	os.RegDeleteValue(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Run","helper.dll");
	
	os.RegDeleteAllValue(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\RunOnce");
	
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\YDownloader");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\CnsMin");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{1B0E7716-898E-48cc-9690-4E338E8DE1D3}");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SYSTEM\\ControlSet001\\Enum\\Root\\LEGACY_CDFS");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SYSTEM\\ControlSet001\\Enum\\Root\\LEGACY_CNSMINKP");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SYSTEM\\ControlSet001\\Services\\CnsMinKP");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SYSTEM\\ControlSet002\\Enum\\Root\\LEGACY_CDFS");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SYSTEM\\ControlSet002\\Enum\\Root\\LEGACY_CNSMINKP");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SYSTEM\\ControlSet002\\Services\\CnsMinKP");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SYSTEM\\CurrentControlSet\\Enum\\Root\\LEGACY_CDFS");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SYSTEM\\CurrentControlSet\\Enum\\Root\\LEGACY_CNSMINKP");
	os.RegDeleteKey(HKEY_LOCAL_MACHINE,"SYSTEM\\CurrentControlSet\\Services\\CnsMinKP");
end;
